/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1; overflow: hidden; 
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

body {
	font-size: 0.75rem;
	font-family: "Noto Sans KR", "Helvetica Neue", Helvetica, Arial, sans-serif;
	-webkit-font-smoothing: antialiased;
}

#outerContainer {
	width: 100vw;
	height: 100vh;
}
#outerContainer:fullscreen {
	/*background-image: url(/system/javascript/viewer2/ext/01/img/dust_scratches.png);*/
}

#viewerContainer {
	position: absolute;
	top: 50%;
	left: 50%;
    margin: auto;
    z-index: 2;
}

#viewer {
	/*width: 1070px;
	height: 757px;
	top: -378px;
	left: -535px;*/
}
#viewer .shadow {
    box-shadow:0 0 20px #ccc;
}

#loader {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.align-center {
	transform: translate(-50%, -50%);
}
.animated {
	transition: margin-left 0.5s;
}
.zoomer {
	transition: transform 0.4s;
}
span.blind {
  display: none;
}

#viewer .page {
	/*background-color: #FFF;*/
	background-color: rgba(245, 245, 245, 0.8);
	box-shadow:0 0 20px rgba(0, 0, 0, 0.2);
	/*background-size: 100% 100%;
	/*display: flex;
	justify-content: center;
	align-items: center;*/
}
#viewer .page .loading-icon {
	position: absolute;
	display: block;
	left: 0;
	top: 0;
	right: 0;
	bottom: 0;
	background: url('/system/javascript/viewer2/ext/01/img/page-loading.gif') center no-repeat;
}
#viewer .pageImage-container {
	position: relative;
}
#viewer .page .pageImage {
	/*width: 100%;
	height: 100%;
	object-fit: contain;*/
}

#viewer .even .gradient{
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    /*background:linear-gradient(to right, rgba(0,0,0,0) 95%, rgba(0,0,0,0.2) 100%);*/
    z-index: 1;
}

#viewer .odd .gradient{
    position:absolute;
    top:0;
    left:0;
    width:100%;
    height:100%;
    /*background:linear-gradient(to left, rgba(0,0,0,0) 95%, rgba(0,0,0,0.2) 100%);*/
    z-index: 1;
}

#viewport .zoom-in .even .gradient, #viewport .zoom-in .odd .gradient {
	display: none;
}

/* highlight */
#viewport .page-wrapper .linked-box{
	position:absolute;
	opacity:0.3;
	z-index:11;
}
#viewport .page-wrapper .linked-box:hover{
	border:solid 2px red;
}
#viewport .page-wrapper .linked-box a{
	display: block;
	width:100%;
	height:100%;
}
#viewport .page-wrapper .goto{
	background-color:green;
}
#viewport .page-wrapper .open{
	background-color:blue;
}
#viewport .page-wrapper .video{
	opacity:1;
}
#viewport .page-wrapper .video:hover{
	border:none;
}

/* video player */
#viewport .page-wrapper .video video,
#viewport .page-wrapper .video > div,
#viewport .page-wrapper .video .stellar_vp_mainContainer,
#viewport .page-wrapper .video .stellar_vp_mainContainer .stellar_vp_videoPlayer
{
	width:100% !important;
	height:100% !important;
}

#minimap_frame{
    position:fixed;
    border:solid 5px black;
    top:20px;
    left:20px;
    z-index:100;
	background:white;
	cursor:pointer;
}
#minimap{
    position:absolute;
    width:100%;
	height:100%;
}
#viewarea{
    position:absolute;
    top:0px;
    left:0px;
	border:solid 1px blue;
	cursor:all-scroll;
}

#minimap_frame img{
	float:left;
	height:100%;
}